package business;

import static org.junit.Assert.assertEquals;

import org.junit.Before;
import org.junit.Test;

import business.Mensalidade;


public class MensalidadeTestCase {
	Mensalidade mensalidade1 = new Mensalidade();

	@Before
	public void setUp() throws Exception {
		mensalidade1.setId(14);
		mensalidade1.setId_aluno(1);
	}
	
	@Test
	public void testGetDataParcela() {
		mensalidade1.setData_parcela("10/08/2008");
		assertEquals("10/08/2008", mensalidade1.getData_parcela());
	}
	
	@Test
	public void testGetDataPagto() {
		mensalidade1.setData_pagto("15/08/2008");
		assertEquals("15/08/2008", mensalidade1.getData_pagto());
	}
	
	@Test
	public void testGetValor() {
		mensalidade1.setValor(410);
		assertEquals((int)(mensalidade1.getValor()), 410);
	}
	
}
